<html>
	<head>
		<title>HQJS</title>
		<!-- External -->
		<script type="text/javascript" src="./scripts/external/json2.js"></script>
		<!-- Common -->
		<script type="text/javascript" src="./scripts/common/randomnumbergenerator.js"></script>
		
		<script type="text/javascript" src="./scripts/common/countedcollection.js"></script>
		<script type="text/javascript" src="./scripts/common/weightedgenerator.js"></script>
		
		<script type="text/javascript" src="./scripts/common/nestedclass.js"></script>
		<script type="text/javascript" src="./scripts/common/boardcellbase.js"></script>
		<script type="text/javascript" src="./scripts/common/boardcolumn.js"></script>
		<script type="text/javascript" src="./scripts/common/board.js"></script>
		
		<script type="text/javascript" src="./scripts/common/directionsbase.js"></script>
		<script type="text/javascript" src="./scripts/common/mazeportalbase.js"></script>
		<script type="text/javascript" src="./scripts/common/mazecellinfobase.js"></script>
		<script type="text/javascript" src="./scripts/common/mazecellbase.js"></script>
		
		<!-- Engine -->
		<script type="text/javascript" src="./scripts/engine/directions.js"></script>
		<!-- Application -->
		<script type="text/javascript" src="./scripts/main.js"></script>
	</head>
	<body onload="main();">
	</body>
</html>